## pgsql-ogr-fdw 1.1.2

=== debian/changelog ===
pgsql-ogr-fdw (1.1.2-1.pgdg20.04+~20220729.2317.g4fd348a) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Merge Debian packaging repository (master) with upstream (master).

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 29 Jul 2022 22:12:35 +0200

pgsql-ogr-fdw (1.1.2-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes.

  [ Christoph Berg ]
  * New upstream version 1.1.2.

 -- Christoph Berg <myon@debian.org>  Fri, 29 Jul 2022 22:12:35 +0200

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw

Package: postgresql-10-ogr-fdw
Architecture: any
Depends: postgresql-10,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-11-ogr-fdw
Architecture: any
Depends: postgresql-11,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-12-ogr-fdw
Architecture: any
Depends: postgresql-12,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-13-ogr-fdw
Architecture: any
Depends: postgresql-13,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-14-ogr-fdw
Architecture: any
Depends: postgresql-14,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

## pgsql-ogr-fdw 1.1.3

=== Makefile ===
# ogr_fdw/Makefile

MODULE_big = ogr_fdw

OBJS = \
	ogr_fdw.o \
	ogr_fdw_deparse.o \
	ogr_fdw_common.o \
	ogr_fdw_func.o \
	stringbuffer_pg.o

EXTENSION = ogr_fdw
DATA = \
	ogr_fdw--1.0--1.1.sql \
	ogr_fdw--1.1.sql

REGRESS = ogr_fdw

EXTRA_CLEAN = sql/*.sql expected/*.out

GDAL_CONFIG = gdal-config
GDAL_CFLAGS = $(shell $(GDAL_CONFIG) --cflags)
GDAL_LIBS = $(shell $(GDAL_CONFIG) --libs)

PG_CONFIG = pg_config
REGRESS_OPTS = --encoding=UTF8

PG_CPPFLAGS += $(GDAL_CFLAGS)
LIBS += $(GDAL_LIBS)
SHLIB_LINK := $(LIBS)

PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
HAS_IMPORT_SCHEMA = $(shell [ $(PG_VERSION_NUM) -ge 90500 ] && echo yes)

# order matters, file first, import last
REGRESS = file pgsql
ifeq ($(HAS_IMPORT_SCHEMA),yes)
REGRESS += import
endif

# work around pg15 change to regression file variable
# substitution for @abs_srcdir@ until we can drop older
# version support
# https://github.com/postgres/postgres/commit/d1029bb5a26cb84b116b0dee4dde312291359f2a
PG15 := $(shell [ $(PG_VERSION_NUM) -ge 90500 ] && echo yes)
ifeq ($(PG15),yes)

sql/%.sql: input/%.source
	perl -pe 's#\@abs_srcdir\@#$(PWD)#g' < $< > $@

expected/%.out: output/%.source
	perl -pe 's#\@abs_srcdir\@#$(PWD)#g' < $< > $@

SQLFILES := sql/file.sql sql/import.sql sql/pgsql.sql sql/postgis.sql
OUTFILES := expected/file.out expected/import.out expected/pgsql.out expected/postgis.out

installcheck: $(SQLFILES) $(OUTFILES)

endif

###############################################################
# Build the utility program after PGXS to override the
# PGXS environment

CFLAGS = $(GDAL_CFLAGS)
LIBS = $(GDAL_LIBS)

ogr_fdw_info$(X): ogr_fdw_info.o ogr_fdw_common.o stringbuffer.o
	$(CC) $(CFLAGS) -o $@ $^ $(LIBS)

clean-exe:
	rm -f ogr_fdw_info$(X) ogr_fdw_info.o stringbuffer.o

install-exe: all
	$(INSTALL_PROGRAM) ogr_fdw_info$(X) '$(DESTDIR)$(bindir)'

all: ogr_fdw_info$(X)

clean: clean-exe

install: install-exe

=== debian/changelog ===
pgsql-ogr-fdw (1.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable Salsa CI.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 18 Oct 2022 05:21:58 +0200

pgsql-ogr-fdw (1.1.2-2) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 22:02:42 +0200

pgsql-ogr-fdw (1.1.2-2~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql-15.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 07:41:20 +0200

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw

Package: postgresql-15-ogr-fdw
Architecture: any
Depends: postgresql-15,
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# Don't fail when d/control doesn't match template
export PG_UPDATECONTROL=yes

# Rebuild debian/control from debian/control.in
include /usr/share/postgresql-common/pgxs_debian_control.mk

%:
	dh $@

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-ogr-fdw

override_dh_auto_clean:
	+pg_buildext clean build-%v
	$(MAKE) clean

## pgsql-ogr-fdw 1.1.4

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # substitution for @abs_srcdir@ until we can drop older
 # version support
 # https://github.com/postgres/postgres/commit/d1029bb5a26cb84b116b0dee4dde312291359f2a
-PG15 := $(shell [ $(PG_VERSION_NUM) -ge 90500 ] && echo yes)
+PG15 := $(shell [ $(PG_VERSION_NUM) -ge 150000 ] && echo yes)
 ifeq ($(PG15),yes)
 
 sql/%.sql: input/%.source

=== debian/changelog ===
pgsql-ogr-fdw (1.1.4-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:14:57 +1100

pgsql-ogr-fdw (1.1.4-3build3) noble; urgency=high

  * No change rebuild against libgdal34t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:48:20 +0100

pgsql-ogr-fdw (1.1.4-3build2) noble; urgency=medium

  * Rebuild against new libgdal34.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Nov 2023 19:32:22 +0100

pgsql-ogr-fdw (1.1.4-3build1) noble; urgency=medium

  * No-change rebuild for postgresql-16.

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 16 Nov 2023 08:37:01 -0300

pgsql-ogr-fdw (1.1.4-3) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Sep 2023 11:17:39 +0200

pgsql-ogr-fdw (1.1.4-3~exp1) experimental; urgency=medium

  * Team upload.
  * Update packaging for postgresql-16.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Sep 2023 18:36:45 +0200

pgsql-ogr-fdw (1.1.4-2) unstable; urgency=medium

  * Remove newpid from test dependencies.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Sep 2023 10:37:00 +0000

pgsql-ogr-fdw (1.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Jul 2023 05:29:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: pgsql-ogr-fdw
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>,
            Christoph Berg <myon@debian.org>
 Section: database
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libgdal-dev,
                postgresql-server-dev-all
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
 Homepage: https://github.com/pramsey/pgsql-ogr-fdw
+Rules-Requires-Root: no
 
-Package: postgresql-15-ogr-fdw
+Package: postgresql-16-ogr-fdw
 Architecture: any
-Depends: postgresql-15,
+Depends: postgresql-16,
          ${shlibs:Depends},
          ${misc:Depends}
 Provides: postgresql-ogr-fdw

## pgsql-ogr-fdw 1.1.5

=== debian/changelog ===
pgsql-ogr-fdw (1.1.5-2.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Wed, 11 Sep 2024 20:01:27 +0200

pgsql-ogr-fdw (1.1.5-2) unstable; urgency=medium

  * Team upload.
  * Drop support for 32-bit architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 20:01:27 +0200

pgsql-ogr-fdw (1.1.5-2~exp1) experimental; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update packaging for postgresql-17.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 11:02:36 +0200

pgsql-ogr-fdw (1.1.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add ${postgresql:Depends} to Depends.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jun 2024 06:13:51 +0200

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
               debhelper-compat (= 13),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw
Rules-Requires-Root: no

Package: postgresql-11-ogr-fdw
Architecture: any
Depends: postgresql-11,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-12-ogr-fdw
Architecture: any
Depends: postgresql-12,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-13-ogr-fdw
Architecture: any
Depends: postgresql-13,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-14-ogr-fdw
Architecture: any
Depends: postgresql-14,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-15-ogr-fdw
Architecture: any
Depends: postgresql-15,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-16-ogr-fdw
Architecture: any
Depends: postgresql-16,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

Package: postgresql-17-ogr-fdw
Architecture: any
Depends: postgresql-17,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data

## pgsql-ogr-fdw 1.1.6

=== Makefile ===
--- 
+++ 
@@ -28,12 +28,15 @@
 PG_CPPFLAGS += $(GDAL_CFLAGS)
 LIBS += $(GDAL_LIBS)
 SHLIB_LINK := $(LIBS)
+# For MacOS
+#SHLIB_LINK += -rpath /usr/local/lib
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
 
-PG_VERSION_NUM = $(shell awk '/PG_VERSION_NUM/ { print $$3 }' $(shell $(PG_CONFIG) --includedir-server)/pg_config.h)
+PG_VERSION_NUM = $(shell pg_config --version | cut -f2 -d' ' | awk -F. '{printf "%d%04d", $$1, $$2}')
 HAS_IMPORT_SCHEMA = $(shell [ $(PG_VERSION_NUM) -ge 90500 ] && echo yes)
+
 
 # order matters, file first, import last
 REGRESS = file pgsql

=== debian/changelog ===
pgsql-ogr-fdw (1.1.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Mar 2025 05:29:09 +0100

=== debian/control ===
Source: pgsql-ogr-fdw
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>,
           Christoph Berg <myon@debian.org>
Section: database
Priority: optional
Build-Depends: architecture-is-64-bit <!pkg.postgresql.32-bit>,
               debhelper-compat (= 13),
               libgdal-dev,
               postgresql-server-dev-all
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw
Vcs-Git: https://salsa.debian.org/debian-gis-team/pgsql-ogr-fdw.git
Homepage: https://github.com/pramsey/pgsql-ogr-fdw
Rules-Requires-Root: no

Package: postgresql-17-ogr-fdw
Architecture: any
Depends: postgresql-17,
         ${postgresql:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Provides: postgresql-ogr-fdw
Description: PostgreSQL foreign data wrapper for OGR
 OGR is the vector half of the GDAL spatial data access library. It allows
 access to a large number of GIS data formats using a simple C API for data
 reading and writing. Since OGR exposes a simple table structure and PostgreSQL
 foreign data wrappers allow access to table structures, the fit seems pretty
 perfect.
 .
 This implementation currently has the following limitations:
  * Only non-spatial query restrictions are pushed down to the OGR driver.
    PostgreSQL foreign data wrappers support delegating portions of the SQL
    query to the underlying data source, in this case OGR. This implementation
    currently pushes down only non-spatial query restrictions, and only for the
    small subset of comparison operators (>, <, <=, >=, =) supported by OGR.
  * Spatial restrictions are not pushed down. OGR can handle basic bounding box
    restrictions and even (for some drivers) more explicit intersection
    restrictions, but those are not passed to the OGR driver yet.
  * OGR connections every time Rather than pooling OGR connections, each query
    makes (and disposes of) two new ones, which seems to be the largest
    performance drag at the moment for restricted (small) queries.
  * All columns are retrieved every time. PostgreSQL foreign data wrappers don't
    require all columns all the time, and some efficiencies can be gained by
    only requesting the columns needed to fulfill a query. This would be a
    minimal efficiency improvement, but can be removed given some development
    time, since the OGR API supports returning a subset of columns.

## pgsql-ogr-fdw 1.1.7

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,10 @@
 
 GDAL_CONFIG = gdal-config
 GDAL_CFLAGS = $(shell $(GDAL_CONFIG) --cflags)
-GDAL_LIBS = $(shell $(GDAL_CONFIG) --libs)
+GDAL_LIBS  = $(shell $(GDAL_CONFIG) --libs)
+
+# For MacOS
+# GDAL_LIBS += -rpath $(shell $(GDAL_CONFIG) --prefix)/lib
 
 PG_CONFIG = pg_config
 REGRESS_OPTS = --encoding=UTF8
@@ -28,8 +31,6 @@
 PG_CPPFLAGS += $(GDAL_CFLAGS)
 LIBS += $(GDAL_LIBS)
 SHLIB_LINK := $(LIBS)
-# For MacOS
-#SHLIB_LINK += -rpath /usr/local/lib
 
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)

=== debian/changelog ===
pgsql-ogr-fdw (1.1.7-2) unstable; urgency=medium

  * Team upload.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Update packaging for postgresql-18.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Oct 2025 07:02:14 +0200

pgsql-ogr-fdw (1.1.7-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 Aug 2025 11:31:41 +0200

pgsql-ogr-fdw (1.1.7-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 21 May 2025 05:21:27 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	+pg_buildext clean build-%v
+	$(MAKE) clean
+
 override_dh_auto_build:
 	+pg_buildext build build-%v
 
 override_dh_auto_install:
 	+pg_buildext install build-%v postgresql-%v-ogr-fdw
-
-override_dh_auto_clean:
-	+pg_buildext clean build-%v
-	$(MAKE) clean

=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installcheck
Restrictions: allow-stderr, needs-root
